summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-19 21:43:34 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:32 -0500
commit134a3075dd5656ca5021ff188f73ec1b80333537 (patch)
tree3ef4609cdc2c132a91f680127010ae046d6a5937 /source4
parent1601b8e9f9eecd59f82a2a18cd87438be41c611b (diff)
downloadsamba-134a3075dd5656ca5021ff188f73ec1b80333537.tar.gz
samba-134a3075dd5656ca5021ff188f73ec1b80333537.tar.bz2
samba-134a3075dd5656ca5021ff188f73ec1b80333537.zip
r7760: make client tools get the right config file in 'make test'
(This used to be commit 13fc167211272f5dba3540202f5842573178b740)
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/script/tests/selftest.sh4
-rwxr-xr-xsource4/script/tests/test_ldap.sh6
2 files changed, 6 insertions, 4 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index c40d59759f..3b8c685de9 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -24,6 +24,8 @@ CONFFILE=$LIBDIR/smb.conf
PRIVATEDIR=$PREFIX/private
NCALRPCDIR=$PREFIX/ncalrpc
LOCKDIR=$PREFIX/lockdir
+CONFIGURATION="--configfile=$CONFFILE"
+export CONFIGURATION
SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"
export SMBD_TEST_FIFO
@@ -74,7 +76,7 @@ fi
smbd_check_or_start
# ensure any one smbtorture call doesn't run too long
-TORTURE_OPTIONS="--maximum-runtime=300"
+TORTURE_OPTIONS="--maximum-runtime=300 $CONFIGURATION"
export TORTURE_OPTIONS
diff --git a/source4/script/tests/test_ldap.sh b/source4/script/tests/test_ldap.sh
index 2e17cda095..1c79335b57 100755
--- a/source4/script/tests/test_ldap.sh
+++ b/source4/script/tests/test_ldap.sh
@@ -13,16 +13,16 @@ SERVER="$1"
incdir=`dirname $0`
. $incdir/test_functions.sh
-testit "RootDSE" bin/ldbsearch --basedn='' -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
+testit "RootDSE" bin/ldbsearch $CONFIGURATION --basedn='' -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
echo "Getting defaultNamingContext"
BASEDN=`bin/ldbsearch -b '' -H ldap://$SERVER -s base DUMMY=x defaultNamingContext | grep ^defaultNamingContext | awk '{print $2}'`
echo "BASEDN is $BASEDN"
-testit "Listing Users" bin/ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
+testit "Listing Users" bin/ldbsearch $CONFIGURATION -H ldap://$SERVER -b "$BASEDN" '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
-testit "Listing Groups" bin/ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
+testit "Listing Groups" bin/ldbsearch $CONFIGURATION -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
testit "CLDAP" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || failed=`expr $failed + 1`